﻿@model ParticipantEmailViewModel
@{
    Layout = null;
}

<form name="ParticipantEmail" novalidate ng-submit="SendEmail()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Email Participant
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>

        <fieldset>
            <label class="">To</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.To)>
                <input type="text" ng-model="@Html.Ang(m => m.To)" @Html.AngTooltipValidationFor(model => model.To) readonly>
            </div>

            <div class="clearfix"></div>

            <label class="req-star">Subject</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input type="text" ng-model="@Html.Ang(m => m.Subject)" @Html.AngTooltipValidationFor(model => model.Subject)>
            </div>
        </fieldset>

        <fieldset>
            <legend>Email body</legend>
            <label>Choose email style</label>
            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" name="emailStyle" value="Text" type="radio" />
                                <span class="check"></span>
                                Plain text<br />
                                <p><i>Send campaign with a simple plain-text email.</i></p>
                            </label>
                        </div>
                        <br />
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" name="emailStyle" value="Template" type="radio" />
                                <span class="check"></span>
                                HTML Campaign<br />
                                <p><i>Send campaign with a HTML template.</i></p>
                            </label>
                        </div>
                    </div>
                    <hr />
                    <div class="clearfix"></div>
                </div>
            </div>

            <div ng-show="Model.EmailStyle == 'Template'">
                <label>Choose from template</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTemplateId)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedTemplateId)>
                        <select ng-model="Model.SelectedTemplateId"
                                ng-change="ChangeTemplate(Model.SelectedTemplateId)"
                                ng-options="temp.Value as temp.Text for temp in Model.TemplateNames"></select>
                    </div>
                </div>

                <div class="clearfix margin-bottom20"></div>

                <div ng-show="Model.SelectedTemplateId > 0" data-role="input-control">
                    <div ng-include="'/Dashboard/_EmailCampaignTemplateDesigner'"></div>
                </div>
            </div>

            <div ng-show="Model.EmailStyle == 'Text'">
                <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                    <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                        <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="Model.Body"></textarea>
                    </div>
                </div>
            </div>

        </fieldset>
        <hr />
        <a class="place-left button link large" ui-sref='Program({seasonDomain: MC.stateParams.seasonDomain, programId: MC.stateParams.programId})'>Cancel</a>
        <button type="submit" class="success large place-right button" type="submit">Send</button>
        <div class="clearfix"></div>
    </div>
</form>